VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::CommandTypes::OutputInfo Class Reference

The `Command.OutputInfo` class describes the names used by the CLI to display the fields of a class element in the interface definition language as well as the order in which the fields will be displayed. More...

List of all members.

## Public Member Functions
| OutputInfo ()
| Creates a default new instance.
string | GetStructureId ()
| Name of the class.
void | SetStructureId (string structureId)
| Name of the class.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.CommandTypes.OutputFieldInfo > | GetOutputFields ()
| The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields.
void | SetOutputFields (global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OutputFieldInfo > outputFields)
| The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Command.OutputInfo` class describes the names used by the CLI to display the fields of a class element in the interface definition language as well as the order in which the fields will be displayed.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::CommandTypes::OutputInfo::OutputInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::CommandTypes::OutputInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::CommandTypes::OutputInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::CommandTypes::OutputInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::CommandTypes::OutputInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::CommandTypes::OutputInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::CommandTypes::OutputInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::cli::CommandTypes::OutputInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.CommandTypes.OutputFieldInfo> vmware::vapi::metadata::cli::CommandTypes::OutputInfo::GetOutputFields | ( |  | ) | `[inline]`

The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields.

string vmware::vapi::metadata::cli::CommandTypes::OutputInfo::GetStructureId | ( |  | ) | `[inline]`

Name of the class.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

void vmware::vapi::metadata::cli::CommandTypes::OutputInfo::SetOutputFields | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.cli.CommandTypes.OutputFieldInfo > | outputFields | ) | `[inline]`

The order in which the fields of the class will be displayed by the CLI as well as the names used to display the fields.

void vmware::vapi::metadata::cli::CommandTypes::OutputInfo::SetStructureId | ( | string | structureId | ) | `[inline]`

Name of the class.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vapi.structure` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vapi.structure` .

override string vmware::vapi::metadata::cli::CommandTypes::OutputInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CommandTypes.cs